<html>
<head>
<title>Loom Applications &amp; Links</title>
<link rel="shortcut icon" href="krugerand.png"/>
<link rel="stylesheet" type="text/css" href="tables.css">
</head>
<body>
<img src="loom_logo.gif" alt="Loom Logo" width="73" height="28"/>
<p>
This page contains information about Patrick Chkeroff's
<a href="http://loom.cc/">Loom</a> anonymous electronic trading system.
<p>
Applications:
<ul>
<li>
<a href="grid-tutorial.php">
grid-tutorial.php</a> - my PHP version of Patrick's
<a href="https://loom.cc/?function=grid_tutorial&mode=advanced">
Grid Tutorial</a>. The tutorial is an example of using my LoomClient
PHP class. I have also written a LoomClient Java class, with a simple
command line testing interface. Its JavaDoc pages are
<a href="java/doc/">here</a>.
</li><li>
<a href="ip.php">
ip.php</a> - my iPhone Loom interface. Supports moving assets, and
creating and renaming locations. I'll add location deletion, type
maintenance, and skins for other mobile browsers, if there's demand.
</li>
</ul>
<p>
Links:
<ul>
<li>
<a href="http://www.loomster.net/doku.php">
Loomster.net</a> - Everything Loom
</li><li>
<a href="http://www.dgcmagazine.com/">
DGC Magazine</a> - Digital Gold Currency magazine. Monthly. Has a
<a href="http://www.dgcmagazine.com/index.php">blog</a>.
</li><li>
<a href="http://www.goldnow.st/">
GoldNow</a> - buy tokens and GoldNowBanc GoldGrams here.
</li><li>
<a href="irc://irc.freenode.net/##loom">
##loom</a> IRC channel at irc.freenode.net.
</li><li>
<a href="currencies.html">Loom-Based Currencies</a> - my copy of the
<a href="http://loomster.net/doku.php?id=currencies">
Loomster currencies page</a>
</li>
</ul>
<p>
My blog has a
<a href="http://billstclair.com/blog/categories/loom">Loom
Category</a>, which contains all the articles I've writen about
Loom. The last time I updated this page, those were:
</p>
<table class="prettytable">
<tr>
<th>Date</th>
<th>Link</th>
<th>Description</th>
</tr>
<tr>
<td>07/12/31</td>
<td><a href="http://billstclair.com/blog/loom_electronic_accounting_system.html">
Loom Electronic Accounting System</a></td>
<td>an overview with links to
tutorials and resources. I've since decided that "electronic trading
system" is a better name.</td>
</tr>
<tr>
<td>08/01/03</td>
<td><a href="http://billstclair.com/blog/loom_security.html">
Loom Security</a></td>
<td>my analysis of the security of the algorithms and
database used by version 58 of the loom.cc source code.</td>
</tr>
<tr>
<td>08/01/03</td>
<td><a href="http://billstclair.com/blog/creating_your_own_loom_currency.html">
Creating Your Own Loom Currency</a></td>
<td>an idea for keeping track of how
much reserve of a real asset you have versus how much electronic
currency you've issued backed by that asset.</td>
</tr>
<tr>
<td>08/01/04</td>
<td><a href="http://billstclair.com/blog/patricks_loom_issuance_scheme.html">
Patrick's Loom Issuance Scheme</a></td>
<td>a better idea for tracking reserve assets.</td>
</tr>
<tr>
<td>08/01/08</td>
<td><a href="http://billstclair.com/blog/loom_three_folder_issuer_protocol.html">
Loom Three-folder Issuer Protocol</a></td>
<td>an even better idea for tracking reserve assets.</td>
</tr>
<tr>
<td>08/01/19</td>
<td><a href="http://billstclair.com/blog/loomster.html">Loomster</a></td>
<td>a wiki covering "Everything Loom."</td>
</tr>
<tr>
<td>08/01/27</td>
<td><a href="http://billstclair.com/blog/loom_iphone_client.html">Loom iPhone Client</a></td>
<td>announcing <a href="ip.php">billstclair.com/loom/ip.php</a></td>
</tr>
<tr>
<td>08/01/28</td>
<td><a href="http://billstclair.com/blog/goldnow.html">GoldNow</a></td>
<td>seller of e-currencies and loom tokens. Provide your contact information, snail mail, phone, and email, and get a link to create a new Loom folder with 198 usage tokens.
<.tr>
<tr>
<td>08/02/03</td>
<td><a href="http://billstclair.com/blog/live_compression_of_a_gdbm_database.html">Live Compression of a GDBM Database</a></td>
<td>how to reclaim unused space from the file that stores the loom grid and archive.</td>
</tr>
<tr>
<td>08/02/03</td>
<td><a href="http://billstclair.com/blog/a_php_script_for_viewing_text_files.html">A PHP Script for Viewing Text Files</a></td>
<td>how to <a href="viewtext.php">view the text</a> of the files in this directory.</td>
</tr>
<tr>
<td>08/02/04</td>
<td><a href="http://billstclair.com/blog/loomsheet.html">Loomsheet</a></td>
<td>announcing plans for my Loom GUI application.</td>
</tr>
<tr>
<td>08/02/17</td>
<td><a href="http://billstclair.com/blog/major_loom_release_v61.html">Major Loom release v61</a></td>
<td>Patrick has been hard at work, improving the Loom user interface.</td>
</tr>
<tr>
<td>08/02/21</td>
<td><a href="http://billstclair.com/blog/loom_iphone_interface_updated.html">Loom iPhone Interface Updated</a></td>
<td>to match Patrick's changes</td>
</tr>
<tr>
<td>08/07/28</td>
<td><a href="http://billstclair.com/blog/secure_banking_summary.html">Secure Banking: summary</a></td>
<td>ideas for signed transactions to enable a secure electronic bank, where customers, and the bank, are identified only by their public key fingerprints.</td>
</tr>
<tr>
<td>08/07/31</td>
<td><a href="http://billstclair.com/blog/trubanc.html">Trubanc</a></td>
<td>An announcement of my project to make my secure banking idea a reality</td>
</tr>
<tr>
<td>08/08/15</td>
<td><a href="http://billstclair.com/blog/trubanc_server_working.html">Trubanc Server Working</a></td>
<td>the Trubanc server is up at <a href="http://trubanc.com/">Trubanc.com</a>. This post has a link to click to see it in action. I've started work on the client.</td>
</tr>
<tr>
<td>08/08/20</td>
<td><a href="http://billstclair.com/blog/trubanc_encryption.html">Trubanc Encryption</a></td>
<td>How to encrypt the client/server link without needing an SSL certificate or the SSL connection overhead.</td>
</tr>
<tr>
<td>08/12/14</td>
<td><a href="http://billstclair.com/blog/trubanc_web_client_public_beta.html">Trubanc
Web Client Public Beta</a></td>
<td>a request for help in testing Trubanc with my shiny, new web client.</td>
</tr>
<tr>
<td>09/03/12</td>
<td><a href="http://billstclair.com/blog/trubanc_storage_fees.html">Trubanc Storage Fees</a></td>
<td>a demo of the new feature allowing an asset issuer to charge storage fees. Trubanc now has a business plan!</td>
</tr>
<tr>
<td>09/06/05</td>
<td><a href="http://billstclair.com/blog/loom_user_interface_changes.html">Loom User Interface Changes</a></td>
<td>announcement of version 86 of Loom.cc.</td>
</tr>
<tr>
<td>09/07/14</td>
<td><a href="http://billstclair.com/blog/nubux.html">NuBux</a></td>
<td>The simplest payment system imagineable.</td>
</tr>
<tr>
<td>09/07/15</td>
<td><a href="http://billstclair.com/blog/trubanc_1_0b1.html">Trubanc 1.0b1</a></td>
<td>My announcement of the first beta of my Lisp implementation of Trubanc</td>
</tr>
</table>
<p>
Download this
entire directory, including all the sources and Java binaries, at
<a href="../loomclient.tar.gz">loomclient.tar.gz</a>
<p>
View the files in this directory with my <a href="viewtext.php">file viewer</a>.
<p>
You can browse my
<a href="http://git.or.cz/">
Git</a> repository of the source at
<a href="http://repo.or.cz/w/loomclient.git">
repo.or.cz/w/loomclient.git</a>. It has
<a href="http://repo.or.cz/w/loomclient.git?a=atom">
Atom</a> and
<a href="http://repo.or.cz/w/loomclient.git?a=rss">
RSS</a>. feeds. Also pushed to
<a href="http://github.com/billstclair/loomclient/">
github.com/billstclair/loomclient</a>. To check out your own copy:
<blockquote><code>
    mkdir loomclient<br>
    cd loomclient<br>
    git init<br>
    git pull git://repo.or.cz/loomclient.git
</blockquote></code>
<p>
Last updated: 15 July, 2009
<p>
<span id="siteseal"><script type="text/javascript" src="https://seal.godaddy.com/getSeal?sealID=21208831510b9e63aa127118f2af8db917fdb042819730"></script><br/><a href='https://www.godaddy.com/gdshop/ssl/ssl.asp'>SSL Certificates</a></span>
<p>
<a href="../">Home</a>
</body>
</html>
